Subject: bug#33573: Patch to replace symlinks with files

From: Karl Berry <[email-masked]>
Date: Thu, 29 Dec 2022 16:33:03 -0700

Another simple patch from my side: when '--copy' given to 
    '--add-missing', copy the standard files even if symlinks already exist.

I am not sure about changing the behavior here. Although the behavior
you propose is plausible, I fear that people might depend or expect on
failure if symlinks exist. It doesn't seem bad to me to require the user
to clean up their own symlinks, instead of assuming the overwriting
should be done. There's no way to know what the situation really is.

What I suggest is making the new behavior of deleting existing symlinks
iff -f is *also* given.  If the user says "force" and "copy" then ok, we
can figure they're asking for what they're getting.

Wdyt? --thanks, karl.

P.S. I hope to reply to your other patch in the next day or two.